Page MenuHomePhabricator

1.35.0-wmf.8 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.35.0-wmf.8
Release Date
1574640000

2019 week 48 1.35-wmf.8 Changes wmf/1.35.0-wmf.8

This MediaWiki Train Deployment is scheduled for the week of Monday, November 25th:

Monday November 25thTuesday, November 26thWednesday, November 27thThursday, November 28thFriday
SWAT deployments only.Branch wmf.8 and deploy to Group 0 Wikis.Deploy wmf.8 to Group 1 Wikis.Deploy wmf.8 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.8 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.35.0-wmf.7
Next: 1.35.0-wmf.9

Event Timeline

mmodell created this task.Sep 25 2019, 10:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 25 2019, 10:14 PM
thcipriani added a subscriber: thcipriani.

With @mmodell as backup.

This train is a little odd due to Thanksgiving. It will go to group0 on Tuesday 2019-11-26, group1 on 2019-12-04 (the following Wednesday), and group2/all wikis on 2019-12-05 (the following Thursday).

thcipriani triaged this task as Medium priority.Sat, Nov 23, 12:34 AM

Cutting branch using:

cd ~/release/make-release
./branch.py --core --core-bundle wmf_core --bundle wmf_branch --branchpoint HEAD --core-version 1.35.0-wmf.8  wmf/1.35.0-wmf.8

An update to this: Saw some odd behavior from branch.py, fell back to standard process.

brennen closed this task as Resolved.Tue, Dec 10, 12:18 AM

Noting here that wmf.8 is deployed to all wikis. There's still logspam proceeding from T240248, but we've made a decision that keeping wmf.8 in production and hoping for / focusing on a resolution to those issues in wmf.10 is lower risk than rolling back to wmf.5 and proceeding directly from there to wmf.10.

greg awarded a token.Tue, Dec 10, 4:59 AM